*-------------------------------------------------------------------------------------
*     12AU7    [modele Norman Koren parametres philbob]
*-------------------------------------------------------------------------------------
.subckt 12AU7_philbob 1 2 3;(anode grille cathode)
+ params:
+ mu  = 19.9356
+ ex  = 1.30664
+ kg1 = 1453.08
+ kp  = 86.1498
+ kvb = 1086.18
+ ccg = 1.8e-12
+ cgp = 1.6e-12
+ ccp = 5e-13
e1 7 0 value=
+{v(1,3)/kp*log(1+exp(kp*(1/mu+v(2,3)/sqrt(kvb+v(1,3)*v(1,3)))))}
re1 7 0 1g
g1 1 3 value= {(pwr(v(7),ex)+pwrs(v(7),ex))/kg1}
rcp 1 3 1g
c1 2 3 {ccg}
c2 1 2 {cgp}
c3 1 3 {ccp}
.ends
*-------------------------------------------------------------------------------------
*-------------------------------------------------------------------------------------
*     12AU7    [modele Norman Koren parametres philbob]
*-------------------------------------------------------------------------------------
.subckt 12AU7_philbob_D 1 2 3;(anode grille cathode)
+ params:
+ mu  = 19.9356
+ ex  = 1.30664
+ kg1 = 1453.08
+ kp  = 86.1498
+ kvb = 1086.18
+ ccg = 1.8e-12
+ cgp = 1.6e-12
+ ccp = 5e-13
+ rgi = 1000
e1 7 0 value=
+{v(1,3)/kp*log(1+exp(kp*(1/mu+v(2,3)/sqrt(kvb+v(1,3)*v(1,3)))))}
re1 7 0 1g
g1 1 3 value= {(pwr(v(7),ex)+pwrs(v(7),ex))/kg1}
rcp 1 3 1g
c1 2 3 {ccg}
c2 1 2 {cgp}
c3 1 3 {ccp}
r1 2 5 {rgi}
d3 5 3 dx
.model dx d(is=1n rs=1 cjo=10pf tt=1n)
.ends
*-------------------------------------------------------------------------------------
